Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class AccessRule

- org.gradle.plugins.ide.eclipse.model.AccessRule

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `kind`
    `String` | `pattern`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AccessRule (def kind, def pattern)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String kind

    - #### String pattern

  - ### Constructor Detail

    - #### AccessRule(def kind, def pattern)

  - ### Method Detail

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()